var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UMB_MEMBER_GROUP_WORKSPACE_CONTEXT } from '../../member-group-workspace.context-token.js';
import { UmbTextStyles } from '../../../../../../core/style/index.js';
import { css, html, customElement, state } from '../../../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../../../core/lit-element/index.js';
let UmbMemberTypeWorkspaceViewMemberInfoElement = class UmbMemberTypeWorkspaceViewMemberInfoElement extends UmbLitElement {
    constructor() {
        super();
        this._unique = '';
        this.consumeContext(UMB_MEMBER_GROUP_WORKSPACE_CONTEXT, async (context) => {
            this._workspaceContext = context;
            this._unique = this._workspaceContext?.getUnique() ?? '';
        });
    }
    render() {
        return html ` <div id="left-column">
				<uui-box headline=${this.localize.term('content_membergroup')}>
					<div id="no-properties">
						<umb-localize key="member_memberGroupNoProperties">
							Member groups have no additional properties for editing.
						</umb-localize>
					</div>
				</uui-box>
			</div>

			<div id="right-column">
				<uui-box headline=${this.localize.term('general_general')}>
					<div class="property">
						<b><umb-localize key="general_id">Id</umb-localize></b>
						<span>${this._unique}</span>
					</div>
				</uui-box>
			</div>`;
    }
    static { this.styles = [
        UmbTextStyles,
        css `
			#no-properties {
				display: flex;
				justify-content: center;
				align-items: center;
				color: var(--uui-color-text);
				opacity: 0.5;
			}
			#left-column {
				/* Is there a way to make the wrapped right column grow only when wrapped? */
				flex: 9999 1 500px;
			}
			#right-column {
				flex: 1 1 350px;
				display: flex;
				flex-direction: column;
				gap: var(--uui-size-space-4);
			}
			:host {
				display: flex;
				gap: var(--uui-size-space-4);
				padding: var(--uui-size-space-4);
			}
			.property {
				display: flex;
				flex-direction: column;
			}
		`,
    ]; }
};
__decorate([
    state()
], UmbMemberTypeWorkspaceViewMemberInfoElement.prototype, "_unique", void 0);
UmbMemberTypeWorkspaceViewMemberInfoElement = __decorate([
    customElement('umb-member-type-workspace-view-member-info')
], UmbMemberTypeWorkspaceViewMemberInfoElement);
export { UmbMemberTypeWorkspaceViewMemberInfoElement };
export default UmbMemberTypeWorkspaceViewMemberInfoElement;
